# Model200Response

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Name** | Pointer to **int32** |  | [optional] 
**Class** | Pointer to **string** |  | [optional] 

## Methods

### GetName

`func (o *Model200Response) GetName() int32`

GetName returns the Name field if non-nil, zero value otherwise.

### GetNameOk

`func (o *Model200Response) GetNameOk() (int32, bool)`

GetNameOk returns a tuple with the Name field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### HasName

`func (o *Model200Response) HasName() bool`

HasName returns a boolean if a field has been set.

### SetName

`func (o *Model200Response) SetName(v int32)`

SetName gets a reference to the given int32 and assigns it to the Name field.

### GetClass

`func (o *Model200Response) GetClass() string`

GetClass returns the Class field if non-nil, zero value otherwise.

### GetClassOk

`func (o *Model200Response) GetClassOk() (string, bool)`

GetClassOk returns a tuple with the Class field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### HasClass

`func (o *Model200Response) HasClass() bool`

HasClass returns a boolean if a field has been set.

### SetClass

`func (o *Model200Response) SetClass(v string)`

SetClass gets a reference to the given string and assigns it to the Class field.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


